<template>
  <img :src="flowChartPath" />
</template>

<script>
export default {
  props: {
    name: {
      type: String,
    },
  },
  computed: {
    flowChartPath() {
      const path = `/flow-charts/${this.name}`
      return this.$colorMode.value === 'dark' ? `${path}-dark.png` : `${path}.png`
    },
  },
}
</script>